package com.ruoyi.sim.service.impl;

import com.ruoyi.sim.domain.Sim;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

@Service
public class CommStrategy {

    /**
     * 是局域网环境。
     */
    private boolean isLAN = true;

    /**
     * 请求间隔睡眠时间-long
     * default:300L
     */
    private static final Long SLEEP_LONG = 300L;

    private static final Long SLEEP_LONG_WAN = 3000L;

    /**
     * 请求间隔睡眠时间-mid
     * default:100L
     */
    private static final Long SLEEP_MID = 1000L;

    /**
     * 请求间隔睡眠时间-short
     * default:200L
     */
    private static final Long SLEEP_SHORT = 200L;

    private static final Long SLEEP_SHORT_WAN = 2000L;


    public Long getSleepLong() {
        if (isLAN) {
            return SLEEP_LONG;
        } else {
            return SLEEP_LONG_WAN;
        }
    }

    public Long getSleepShort() {
        if (isLAN) {
            return SLEEP_SHORT;
        } else {
            return SLEEP_SHORT_WAN;
        }
    }

    public int getSoTimeout(Sim sim) {
        if (sim == null) {
            return 4000;
        }
        return switch (sim.getSimType()) {
            case Sim.TYPE_0001 -> 4000;
            case Sim.TYPE_0002 -> 2000;
            case Sim.TYPE_0003 -> 2000;
            default -> 4000;
        };
    }
}
